Description

Hi Dennis,

In the jobsub wrapper | see the script excerpt below.
It would be nice if you replaced the 'ifdh "$@"' with something like:

which ifdh > /dev/null 2>&1

if ["$?" -ne "0" ] ; then

echo "Can not find ifdh version $IFDH_VERSION in cvmfs"
else

ifdh "$@"

fi

or some such since you can come out of the loop not finding a suitable ifdh. | don't know why it's not finding it in cvmfs or where Ray
is apparently finding it in his job.

Also, /cvmfs/oasis.opensciencegrid.org/fermilab is no more so you could clean that out of the code. | don't think
/grid/fermiapp/products/common/etc/setups.sh or /fnal/ups/etc/setups.sh should be needed any more either should they since
everything is in /cvmfs now?

Thanks,
joe

cat <<'_HEREDOC_' > ${JSB_TMPY}/ifdh.sh
#!/bin/sh #

which ifdh > /dev/null 2>&1

has_ifdh=$?

if [ "$has_ifdh" -ne "0" | ; then

unset PRODUCTS

for setup_file in /cvmfs/fermilab.opensciencegrid.org/products/common/etc/setups /grid/fermiapp/products/common/etc/setups.sh
/fnal/ups/etc/setups.sh /cvmfs/oasis.opensciencegrid.org/fermilab/products/common/etc/setups ; do
if [ -e "$setup_file" ] && [ "$has_ifdh" -ne "0" ]; then
source $setup_file

ups exist ifdhc $IFDH_VERSION

has_ifdh=$?

if [ "$has_ifdh" = "0" ] ; then

setup ifdhc $IFDH_VERSION

break

else

unset PRODUCTS

fi

fi

done

fi

ifdh "$@"

HEREDOC

On 10/22/2015 01:10 PM, Raymond L Culbertson wrote:
100% of these jobs are failing due to configuration mistake.

New test job is 3256486.0@fifebatch1.fnal.gov

Below is a note on a non-fatal error message from the glide-in apparently.
Ray

/var/lib/condor/execute/dir_30648/glide_2LNVZ7/execute/dir_4910/jsb_tmp/ifdh.sh: line 21: ifdh: command not found
observed on node named like:

8 iut2-c091.iu.edu

16 iut2-c161.iu.edu

8 iut2-c206.iu.edu

8 uct2-c126.mwt2.org

16 uct2-c170.mwt2.org

32 uct2-c269.mwt2.org

16 uct2-c290.mwt2.org

but these seem to not be fatal, the jobs continues and finds a working ifdh

no ifdh error on nodes like:
16 golub014

16 golub016

16 golub022

8 golub069

32 golub071

32 golub076

8 golub077

Ray Culbertson mu2e/CDF/FNAL rlc@fnal.gov 630-840-6744 WH9E (MS122)

From: Raymond L Culbertson

Sent: Tuesday, October 20, 2015 9:55 AM

To: Joseph B Boyd; fife-support

Subject: RE: What is status of MWT2 for mu2e?

Thanks. | included that in the production scripts, but
failed to make the change in my testing notes.

The new job is

3227411.0@fifebatch1.fnal.gov

Ray

Ray Culbertson mu2e/CDF/FNAL rlc@fnal.gov 630-840-6744 WHOE (MS122)

From: Joseph B Boyd

Sent: Tuesday, October 20, 2015 9:43 AM

To: Raymond L Culbertson; fife-support
Subject: Re: What is status of MWT2 for mu2e?

This is the site where you have to tune your memory request to make the
jobs fit. You're just over.

[root@fifebatch1 ~]# condor_status -constraint 'glidein_site == "MWT2"
-af memory | sort | uniq -c

14 1920

24 2000

[root@fifebatch1 ~]# condor_q 3226207 -af requestmemory | sort | uniq -c
1000 2048

joe

On 10/20/2015 09:24 AM, Raymond L Culbertson wrote:
No sections of this job have started. I'm not running anything else at MWT2,
so | would expect at least a few to have started if the site is advertising opportunistic slots..
If it is easy, please check if my job is not authenticating or matching. Thanks,

Ray

Ray Culbertson mu2e/CDF/FNAL rlc@fnal.gov 630-840-6744 WH9E (MS122)
From: Raymond L Culbertson

Sent: Monday, October 19, 2015 5:17 PM

To: Joseph B Boyd; fife-support

Subject: RE: What is status of MWT2 for mu2e?

Thanks very much!. | am happy to run the tests, here is 1K jobs:
3226207.0@fifebatch1.fnal.gov

| will report back tomorrow.

Ray

Ray Culbertson mu2e/CDF/FNAL rlc@fnal.gov 630-840-6744 WH9E (MS122)

From: Joseph B Boyd

Sent: Monday, October 19, 2015 4:12 PM
To: Raymond L Culbertson; fife-support
Subject: What is status of MWT2 for mu2e?

Hi Ray,
Are you using MWT2 for mu2e production jobs? A while back you had a
problem relating to the OSG_GRID environment variable not being set and

we opened ticket:

https://ticket.opensciencegrid.org/26805

I just ran some test jobs and | do see OSG_GRID set now along with all
the other variables you say you don't see any more. There was some
issue apparently with new nodes that were moved in but maybe they're all
fixed.

Do you want me to send a bunch more jobs and see if | can find one
missing the right setup or do you want to try to use it again?

Thanks,

joe

History

#1 - 11/02/2015 05:32 PM - Dennis Box
- Status changed from New to Feedback

- Assignee changed from Dennis Box to Parag Mhashilkar

#2 - 11/18/2015 12:03 PM - Dennis Box
- Status changed from Feedback to Closed
